import type { basicProps } from '@/components/Table/src/props';

export const TableSelectProps = {
  value: {
    type: Array as PropType<any[]>,
    default: [],
  },
  width: {
    type: String,
    default: '215px',
  },
  popoverWidth: {
    type: String,
    default: '600px',
  },
  tableRowType: {
    type: String,
    default: 'radio',
  },
  multiple: {
    type: Boolean,
    default: false,
  },
  showCheckedAll: {
    type: Boolean,
    default: false,
  },
  tableProps: {
    type: Object as PropType<basicProps>,
    default: () => ({}),
  },
  formProps: {
    type: Object as PropType<BasicTableProps>,
    default: () => ({}),
  },
  placeholder: {
    type: String,
    default: '请选择内容',
  },
  labelField: {
    type: String,
    default: 'lable',
  },
  valueField: {
    type: String,
    default: 'value',
  },
};
